Bug 682390 (backgrounds/vector)

Intermittent TEST-UNEXPECTED-FAIL | tall--32px-auto--omitted-width-omitted-height.html, tall--32px-auto--nonpercent-width-percent-height-viewbox.html, tall--auto--nonpercent-width-percent-height.html

RESOLVED WORKSFORME

Status

()

RESOLVED WORKSFORME
7 years ago
6 years ago

People

(Reporter: mbrubeck, Unassigned)

Tracking

({intermittent-failure})

8 Branch
x86_64
Mac OS X
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

7 years ago
http://tbpl.allizom.org/php/getParsedLog.php?id=6143777
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-aurora debug test reftest on 2011-08-26 11:52:17 PDT for push a2533f29b2d6

The differences are in row 776, along the very bottom edge of the white part of the image.  Image 1 is #fefefe instead of #ffffff.  Looks like an antialiasing/pixel-snapping difference.

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/backgrounds/vector/tall--32px-auto--omitted-width-omitted-height.html | image comparison (==)
REFTEST number of differing pixels: 224
REFTEST INFO | Saved log: START file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/backgrounds/vector/tall--32px-auto--omitted-width-omitted-height.html
REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
REFTEST INFO | Saved log: Initializing canvas snapshot
REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
REFTEST INFO | Saved log: [CONTENT] RecordResult fired
REFTEST INFO | Saved log: RecordResult fired
REFTEST INFO | Saved log: RecordResult fired
REFTEST INFO | Loading a blank page
(Reporter)

Comment 1

7 years ago
Same branch, same platform, same suite, different test, but same failure mode.

http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Aurora/1314661200.1314663198.25119.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-aurora debug test reftest on 2011/08/29 16:40:00 
s: talos-r3-snow-007

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/backgrounds/vector/tall--32px-auto--omitted-width-omitted-height.html | image comparison (==)
REFTEST number of differing pixels: 224
REFTEST INFO | Saved log: START file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/backgrounds/vector/tall--32px-auto--omitted-width-omitted-height.html
REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
REFTEST INFO | Saved log: Initializing canvas snapshot
REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
REFTEST INFO | Saved log: [CONTENT] RecordResult fired
REFTEST INFO | Saved log: RecordResult fired
REFTEST INFO | Saved log: RecordResult fired
REFTEST INFO | Loading a blank page
Summary: Intermittent REFTEST TEST-UNEXPECTED-FAIL | layout/reftests/backgrounds/vector/tall--32px-auto--omitted-width-omitted-height.html | image comparison (==) → Intermittent REFTEST TEST-UNEXPECTED-FAIL | layout/reftests/backgrounds/vector/tall--32px-auto--omitted-width-omitted-height.html or tall--32px-auto--nonpercent-width-percent-height-viewbox.html | image comparison (==)
(Reporter)

Comment 2

7 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=6298965
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-aurora debug test reftest on 2011-09-06 15:17:17 PDT for push 96c12e1c1c80
slave: talos-r3-snow-057
Summary: Intermittent REFTEST TEST-UNEXPECTED-FAIL | layout/reftests/backgrounds/vector/tall--32px-auto--omitted-width-omitted-height.html or tall--32px-auto--nonpercent-width-percent-height-viewbox.html | image comparison (==) → Intermittent REFTEST TEST-UNEXPECTED-FAIL | layout/reftests/backgrounds/vector/tall--32px-auto--omitted-width-omitted-height.html or tall--32px-auto--nonpercent-width-percent-height-viewbox.html or tall--32px-auto--nonpercent-width | image comparison (==)
(Reporter)

Comment 3

7 years ago
Also tall--32px-auto--omitted-width-percent-height.html

https://tbpl.mozilla.org/php/getParsedLog.php?id=6317692
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-aurora debug test reftest on 2011-09-07 13:22:10 PDT for push 554e9fe2eb14
(Reporter)

Comment 4

7 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=6502551&tree=Firefox
Summary: Intermittent REFTEST TEST-UNEXPECTED-FAIL | layout/reftests/backgrounds/vector/tall--32px-auto--omitted-width-omitted-height.html or tall--32px-auto--nonpercent-width-percent-height-viewbox.html or tall--32px-auto--nonpercent-width | image comparison (==) → Intermittent TEST-UNEXPECTED-FAIL | tall--32px-auto--omitted-width-omitted-height.html, tall--32px-auto--nonpercent-width-percent-height-viewbox.html, tall--auto--nonpercent-width-percent-height.html
(Reporter)

Updated

7 years ago
Blocks: 689318
(Reporter)

Updated

7 years ago
Blocks: 689789
(Reporter)

Updated

7 years ago
Depends on: 689320
Blocks: 688713
(Reporter)

Updated

7 years ago
Blocks: 691492
Blocks: 691659
Alias: backgrounds/vector
Blocks: 693528
Blocks: 702863
(Reporter)

Updated

7 years ago
Blocks: 710061
(Reporter)

Updated

7 years ago
Blocks: 710101

Comment 5

6 years ago
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → WORKSFORME
(Assignee)

Updated

6 years ago
Keywords: intermittent-failure
(Assignee)

Updated

6 years ago
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.